net.dontdrinkandroot.visualization.layout

## Class AbstractLayout<T>

- java.lang.Object
- - net.dontdrinkandroot.visualization.layout.AbstractLayout<T>

All Implemented Interfaces:
  Layout<T>

Direct Known Subclasses:
  AbstractCircularLayout, ForceLayout, SimpleLayout

    public abstract class AbstractLayout<T>
    extends Object
    implements Layout<T>

### Field Summary

Fields
`protected Rectangle2D` `desiredBounds`
`protected boolean` `layouted`

### Constructor Summary

Constructors
Constructor and Description
`AbstractLayout()`

### Method Summary

Methods
`Rectangle2D` `getBounds()`
`boolean` `isLayouted()`
`void` `setlayouted(boolean layouted)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.dontdrinkandroot.visualization.layout.Layout

`layout, render`

### Field Detail

#### layouted

    protected boolean layouted

#### desiredBounds

    protected Rectangle2D desiredBounds

### Constructor Detail

#### AbstractLayout

    public AbstractLayout()

### Method Detail

#### getBounds

    public Rectangle2D getBounds()

Specified by:
  `getBounds` in interface `Layout<T>`

#### isLayouted

    public boolean isLayouted()

Specified by:
  `isLayouted` in interface `Layout<T>`

#### setlayouted

    public void setlayouted(boolean layouted)